<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Jabatan Struktural</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <form class="form-horizontal" th:action="@{/jabatanStruktural/baru}" method="post" th:object="${jabatan}">
                <div class="card">
                    <div class="card-header bg-white p-4 justify-content-center" align="center">
                        <h3 class="text-black">Data Jabatan Struktural</h3>
                    </div>

                    <div class="card-body p-4">
                        <div class="row justify-content-center">
                            <div class="col-md-10">
                                <div class="mb-3 row">
                                    <label for="jabatanStruktural" class="col-sm-4 col-form-label">Jabatan Struktural</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="namaJabatanStruktural" onkeyup="validasi()" th:field="*{namaJabatanStruktural}" id="jabatanStruktural" required>
                                    </div>
                                </div>

                                <div class="mb-3 row">
                                    <label for="totalMin" class="col-sm-4 col-form-label">Total</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahTotal" th:field="*{batasBawahTotal}" id="totalMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="totalMax" name="batasAtasTotal" th:field="*{batasAtasTotal}" placeholder="Maksimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertTotal">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas maksimal tidak boleh lebih kecil daripada batas minimal.</span>
                                        </div>
                                    </div>

                                </div>

                                <div class="mb-3 row">
                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanDanPenelitian">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas minimal pendidikan dan penelitian tidak boleh lebih besar daripada batas minimal total.</span>
                                        </div>
                                    </div>
                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanDanPenelitian2">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas minimal pendidikan dan penelitian tidak boleh lebih besar daripada batas maksimal total.</span>
                                        </div>
                                    </div>

                                    <label for="pendidikanPenelitianMin" class="col-sm-4 col-form-label">Pendidikan & Penelitian</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPendidikanPenelitian" th:field="*{batasBawahPendidikanPenelitian}" id="pendidikanPenelitianMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                </div>

                                <div class="mb-3 row">
                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanMin">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas minimal pendidikan tidak boleh lebih besar daripada batas minimal pendidikan dan penelitian.</span>
                                        </div>
                                    </div>

                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanMin2">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas minimal pendidikan tidak boleh melebihi daripada batas minimal total.</span>
                                        </div>
                                    </div>

                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanMax">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas maksimal pendidikan tidak boleh lebih kecil daripada batas minimal pendidikan. </span>
                                        </div>
                                    </div>

                                    <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPendidikanMax2">
                                        <div class="alert alert-danger">
                                            <span style="color: red; font-size: 12px;">Batas maksimal pendidikan tidak boleh melebihi batas maksimal total.</span>
                                        </div>
                                    </div>
                                    <label for="pendidikaMin" class="col-sm-4 col-form-label">Pendidikan</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPendidikan" th:field="*{batasBawahPendidikan}" id="pendidikaMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="pendidikaMax" name="batasAtasPendidikan" th:field="*{batasAtasPendidikan}" placeholder="Maksimal" required onchange="validasi()">
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenelitianMin">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal penelitian tidak boleh lebih besar daripada batas minimal pendidikan dan penelitian.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenelitianMin2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal penelitian tidak boleh melebihi daripada batas minimal total.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenelitianMax">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal penelitian tidak boleh lebih kecil daripada batas minimal penelitian. </span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenelitianMax2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal penelitian tidak boleh melebihi batas maksimal total.</span>
                                    </div>
                                </div>

                                <div class="mb-3 row">
                                    <label for="penelitianMin" class="col-sm-4 col-form-label">Penelitian</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPenelitian" th:field="*{batasBawahPenelitian}" id="penelitianMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="penelitianMax" name="batasAtasPenelitian" th:field="*{batasAtasPenelitian}" placeholder="Maksimal" required onchange="validasi()">
                                    </div>
                                </div>


                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianPenelitian">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal pengabdian dan penunjang tidak boleh lebih besar daripada batas minimal total.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianPenelitian2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal pengabdian dan penunjang tidak boleh melebihi batas maksimal total.</span>
                                    </div>
                                </div>


                                <div class="mb-3 row">
                                    <label for="pengabdianPenunjangMax" class="col-sm-4 col-form-label">Pengabdian & Penunjang</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPengabdianPenunjang" th:field="*{batasBawahPengabdianPenunjang}" id="pengabdianPenunjangMax" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianMin">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal pengabdian tidak boleh lebih besar daripada batas minimal pengabdian dan penunjang.</span>
                                    </div>
                                </div>
                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianMin2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal pengabdian tidak boleh melebihi batas maksimal total.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianMax">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal pengabdian tidak boleh lebih kecil daripada batas minimal pengabdian. </span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPengabdianMax2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal pengabdian tidak boleh melebihi batas maksimal total. </span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="pengabdianMin" class="col-sm-4 col-form-label">Pengabdian</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPengabdian" th:field="*{batasBawahPengabdian}" id="pengabdianMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="pengabdianMax" name="batasAtasPengabdian" th:field="*{batasAtasPengabdian}" placeholder="Maksimal" required onchange="validasi()">
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenunjangMin">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal penunjang tidak boleh lebih besar daripada batas minimal pengabdian dan penunjang.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenunjangMin2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas minimal penunjang tidak boleh melebihi batas maksimal total.</span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenunjangMax">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal penunjang tidak boleh lebih kecil daripada batas minimal penunjang. </span>
                                    </div>
                                </div>

                                <div class="col-md-12" style="margin-top: 12px; display: none;" id="alertPenunjangMax2">
                                    <div class="alert alert-danger">
                                        <span style="color: red; font-size: 12px;">Batas maksimal penunjang tidak boleh melebihi batas maksimal total. </span>
                                    </div>
                                </div>

                                <div class="mb-3 row">
                                    <label for="penunjangMin" class="col-sm-4 col-form-label">Penunjang</label>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" name="batasBawahPenunjang" th:field="*{batasBawahPenunjang}" id="penunjangMin" placeholder="Minimal" required onchange="validasi()">
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="penunjangMax" name="batasAtasPenunjang" th:field="*{batasAtasPenunjang}" placeholder="Maksimal" required onchange="validasi()">
                                    </div>
                                </div>


                                <input type="hidden" th:field="*{id}" name="id">

                            </div>
                        </div>

                    </div>
                    <div class="card-footer bg-white p-4">
                        <a class="btn btn-warning float-start" th:href="@{/jabatan_struktural}">Kembali</a>
                        <button type="submit" class="btn btn-success float-end" id="btn" style="display: none;">Simpan</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>


<div layout:fragment="footer" class="script">
    <script th:inline="javascript">
        /*<![CDATA[*/
        function validasi(){
            //variabel button
            var btn = document.getElementById('btn');
            var text = document.getElementById('jabatanStruktural').value;

            // variable total
            var totalMin = document.getElementById('totalMin').value;
            var totalMax = document.getElementById('totalMax').value;
            var totMin = new Number(totalMin);
            var totMax = new Number(totalMax);
            var aTotal = document.getElementById('alertTotal');

            // variabel pendidikan dan peneliatian
            var minPendidikanPeneliatian = document.getElementById('pendidikanPenelitianMin').value;
            var minPP = new Number(minPendidikanPeneliatian);
            var aPendidikanPenelitian = document.getElementById('alertPendidikanDanPenelitian');
            var aPendidikanPenelitian2 = document.getElementById('alertPendidikanDanPenelitian2');

            // variabel pendidikan
            var pendidikanMin = document.getElementById('pendidikaMin').value;
            var pendidikanMax = document.getElementById('pendidikaMax').value;

            var minPendidikan = new Number(pendidikanMin);
            var maxPendidikan = new Number(pendidikanMax);

            var aPendidikanMin = document.getElementById('alertPendidikanMin');
            var aPendidikanMin2 = document.getElementById('alertPendidikanMin2');
            var aPendidikanMax = document.getElementById('alertPendidikanMax');
            var aPendidikanMax2 = document.getElementById('alertPendidikanMax2');

            // variabel penelitian
            var penelitianMin = document.getElementById('penelitianMin').value;
            var penelitianMax = document.getElementById('penelitianMax').value;

            var minPenelitian = new Number(penelitianMin);
            var maxPenelitian = new Number(penelitianMax);


            var aPenelitianMin = document.getElementById('alertPenelitianMin');
            var aPenelitianMin2 = document.getElementById('alertPenelitianMin2');

            var aPenelitianMax = document.getElementById('alertPenelitianMax');
            var aPenelitianMax2 = document.getElementById('alertPenelitianMax2');

            // variabel pengabdian dan penunjang
            var aPengabdianPenelitian = document.getElementById('alertPengabdianPenelitian');
            var aPengabdianPenelitian2 = document.getElementById('alertPengabdianPenelitian2');
            var pengabdianPenunjangMax = document.getElementById('pengabdianPenunjangMax').value;

            var minPPMax = new Number(pengabdianPenunjangMax);

            // variabel pengabdian
            var pengabdianMin = document.getElementById('pengabdianMin').value;
            var pengabdianMax = document.getElementById('pengabdianMax').value;
            var aPengabdianMin = document.getElementById('alertPengabdianMin');
            var aPengabdianMin2 = document.getElementById('alertPengabdianMin2');

            var aPengabdianMax = document.getElementById('alertPengabdianMax');
            var aPengabdianMax2 = document.getElementById('alertPengabdianMax2');

            var  minPengabdian = new Number(pengabdianMin);
            var  maxPengabdian = new Number(pengabdianMax);


            //Variable penunjang
            var penunjangMin = document.getElementById('penunjangMin').value;
            var penunjangMax = document.getElementById('penunjangMax').value;

            var aPenunjangMin = document.getElementById('alertPenunjangMin');
            var aPenunjangMin2 = document.getElementById('alertPenunjangMin2');
            var aPenunjangMax = document.getElementById('alertPenunjangMax');
            var aPenunjangMax2 = document.getElementById('alertPenunjangMax2');

            var minPenunjang = new Number(penunjangMin);
            var maxPenunjang = new Number(penunjangMax);


            // Validasi Total
            if (totMax == ''){
                console.log("kosong");
            }else {
                if (totMin >= totMax){
                    aTotal.style.display = 'block';
                }else {
                    aTotal.style.display = 'none';
                }
            }

            // Validasi Pendidikan Dan penelitian
            if (minPP == ''){
                console.log("kosong");
            }else {
                if (minPP > totMin){
                    aPendidikanPenelitian.style.display = 'block';
                }else {
                    aPendidikanPenelitian.style.display = 'none';

                    if (totMax < minPP){
                        aPendidikanPenelitian2.style.display = 'block';
                    }else {
                        aPendidikanPenelitian2.style.display = 'none';
                    }
                }
            }

            // Validasi Pendidikan
            if (minPendidikan == ''){
                console.log('kosong');
            }else {
                if (minPendidikan > minPP){
                    aPendidikanMin.style.display = 'block';
                }else {
                    aPendidikanMin.style.display = 'none';

                    if (minPendidikan > totMax){
                        aPendidikanMin2.style.display = 'block';
                    }else {
                        aPendidikanMin2.style.display = 'none';
                    }
                }
            }

            if (maxPendidikan == ''){
                console.log('kosong');
            }else {
                if (minPendidikan > maxPendidikan){
                    aPendidikanMax.style.display = 'block';
                }else {
                    aPendidikanMax.style.display = 'none';

                    if (maxPendidikan > totMax){
                        aPendidikanMax2.style.display = 'block';
                    }else {
                        aPendidikanMax2.style.display = 'none';
                    }
                }
            }

            // validasi penelitian
            if (minPenelitian == ''){
                console.log('kosong');
            }else {
                if (minPenelitian > minPP){
                    aPenelitianMin.style.display = 'block';
                }else {
                    aPenelitianMin.style.display = 'none';

                    if (minPenelitian > totMax){
                        aPenelitianMin2.style.display = 'block';
                    }else {
                        aPenelitianMin2.style.display = 'none';
                    }
                }
            }

            if (maxPenelitian == ''){
                console.log('kosong');
            }else {
                if (minPenelitian > maxPenelitian){
                    aPenelitianMax.style.display = 'block';
                }else {
                    aPenelitianMax.style.display = 'none';

                    if (maxPenelitian > totMax){
                        aPenelitianMax2.style.display = 'block';
                    }else {
                        aPenelitianMax2.style.display = 'none';
                    }
                }
            }

            if (minPPMax == ''){
                console.log('kosong');
            }else {
                if (minPPMax > totMin){
                    aPengabdianPenelitian.style.display = 'block';
                }else{
                    aPengabdianPenelitian.style.display = 'none';

                    if(minPPMax > totMax){
                        aPengabdianPenelitian2.style.display = 'block';
                    }else {
                        aPengabdianPenelitian2.style.display = 'none';
                    }
                }
            }

            // Validasi pengabdian
            if (minPengabdian == ''){
                console.log('kosong');
            }else {
                if (minPengabdian > minPPMax){
                    aPengabdianMin.style.display = 'block';
                }else {
                    aPengabdianMin.style.display = 'none';

                    if (minPengabdian > totMax){
                        aPengabdianMin2.style.display = 'block';
                    }else{
                        aPengabdianMin2.style.display = 'none';
                    }
                }
            }

            if (maxPengabdian == ''){
                console.log('kosong');
            }else {
                if (minPengabdian > maxPengabdian){
                    aPengabdianMax.style.display = 'block';
                }else {
                    aPengabdianMax.style.display = 'none';

                    if (maxPengabdian > totMax){
                        aPengabdianMax2.style.display = 'block';
                    }else {
                        aPengabdianMax2.style.display = 'none';
                    }
                }
            }


            // validasi penunjang
            if (minPenunjang == ''){
                console.log('kosong');
            }else {
                if (minPenunjang > minPPMax){
                    aPenunjangMin.style.display = 'block';
                }else{
                    aPenunjangMin.style.display = 'none';

                    if(minPenunjang > totMax){
                        aPenunjangMin2.style.display = 'block';
                    }else {
                        aPenunjangMin2.style.display = 'none';
                    }
                }
            }

            if (maxPenunjang == ''){
                console.log('kosong');
            }else {
                if (minPenunjang > maxPenunjang){
                    aPenunjangMax.style.display = 'block';
                }else {
                    aPenunjangMax.style.display = 'none';

                    if (maxPenunjang > totMax){
                        aPenunjangMax2.style.display = 'block';
                    }else {
                        aPenunjangMax2.style.display = 'none';
                    }
                }
            }


            if(text != '' && totMax >= 0 && totMin >= 0 && aTotal.style.display == 'none' && minPP >= 0 && aPendidikanPenelitian.style.display == 'none' &&
                minPendidikan >= 0 && maxPendidikan >= 0 && aPendidikanMin.style.display == 'none' && aPendidikanMin2.style.display == 'none' &&
                aPendidikanMax.style.display == 'none' && aPendidikanMax2.style.display == 'none' &&
                minPenelitian >= 0 && maxPenelitian >= 0 && aPenelitianMin.style.display == 'none' && aPenelitianMin2.style.display == 'none' &&
                aPenelitianMax.style.display == 'none' && aPenelitianMax2.style.display == 'none' &&
                minPPMax >= 0 && aPengabdianPenelitian.style.display == 'none' &&
                minPengabdian >= 0 && maxPengabdian >= 0 && aPengabdianMin.style.display == 'none' && aPengabdianMax2.style.display == 'none' &&
                aPengabdianMin2.style.display == 'none' && aPengabdianMax.style.display == 'none' &&
                minPenunjang >= 0 && maxPenunjang >= 0 && aPenunjangMin.style.display == 'none' && aPenunjangMin2.style.display == 'none' &&
                aPenunjangMax.style.display == 'none' && aPenunjangMax2.style.display == 'none'){
                btn.style.display = 'block';
            }else {
                btn.style.display = 'none';
            }









        }
    </script>
</div>
</body>
</html>
